Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class RegexFieldValidator

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
              com.opensymphony.xwork2.validator.validators.RegexFieldValidator

All Implemented Interfaces:
  FieldValidator, ShortCircuitableValidator, Validator

Direct Known Subclasses:
  EmailValidator

    public class RegexFieldValidator

extends FieldValidatorSupport

Validates a string field using a regular expression.

- fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required
- expression - The RegExp expression REQUIRED
- caseSensitive - Boolean (Optional). Sets whether the expression should be matched against in a case-sensitive way. Default is `true`.

        <validators>
            <!-- Plain Validator Syntax -->
            <validator type="regex">
                <param name="fieldName">myStrangePostcode</param>
                <param name="expression"><![CDATA[([aAbBcCdD][123][eEfFgG][456])]]<>/param>
            </validator>

            <!-- Field Validator Syntax -->
            <field name="myStrangePostcode">
                <field-validator type="regex">
                   <param name="expression"><![CDATA[([aAbBcCdD][123][eEfFgG][456])]]></param>
                </field-validator>
            </field>
        </validators>

Version:
  $Date: 2007-01-06 11:13:49 +0100 (Sa, 06 Jan 2007) $ $Revision: 1302 $
Author:
  Quake Wang

Field Summary
`private boolean` | `caseSensitive`
`private String` | `expression`
`private boolean` | `trim`

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey`

Constructor Summary
`RegexFieldValidator()`

Method Summary
`String` | `getExpression()`
`boolean` | `isCaseSensitive()`
`boolean` | `isTrimed()`
`void` | `setCaseSensitive(boolean caseSensitive)` Sets whether the expression should be matched against in a case-sensitive way.
`void` | `setExpression(String expression)` Sets the regular expression to be matched.
`void` | `setTrim(boolean trim)` Sets whether the expression should be trimed before matching.
`void` | `validate(Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
`getFieldName, getValidatorType, setFieldName, setValidatorType`

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, conditionalParse, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getParse, getValidatorContext, isShortCircuit, setDefaultMessage, setMessageKey, setParse, setShortCircuit, setValidatorContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getValidatorContext, setDefaultMessage, setMessageKey, setValidatorContext`

Field Detail

### expression

    private String expression

### caseSensitive

    private boolean caseSensitive

### trim

    private boolean trim

Constructor Detail

### RegexFieldValidator

    public RegexFieldValidator()

Method Detail

### validate

    public void validate(Object object)
                  throws ValidationException

  Description copied from interface: `Validator`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  Throws:
    `ValidationException`

### getExpression

    public String getExpression()

  Returns:
    Returns the regular expression to be matched.

### setExpression

    public void setExpression(String expression)

  Sets the regular expression to be matched.

### isCaseSensitive

    public boolean isCaseSensitive()

  Returns:
    Returns whether the expression should be matched against in a case-sensitive way. Default is `true`.

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

  Sets whether the expression should be matched against in a case-sensitive way. Default is `true`.

### isTrimed

    public boolean isTrimed()

  Returns:
    Returns whether the expression should be trimed before matching. Default is `true`.

### setTrim

    public void setTrim(boolean trim)

  Sets whether the expression should be trimed before matching. Default is `true`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.